<!DOCTYPE html>
<html>

<head>
    <title>INF226 Tiny Login</title>
    <link rel="stylesheet" href="/" type="image/png" />
    <link rel="icon" href="favicon.png" type="image/png" />

    <style>
        *{
            text-decoration: none;
            
        }   
        body{
            background-color: lightblue;
            background-image: url("mountains.jpeg");
            background-size: cover;
            text-align: center;

        }
        #login-btn{
            border: none;
            background-color: rgb(0, 112, 224);
            padding: 15px;
            color: white;
            border-radius: 2px;
        }
        #newUser-btn{
            border: none;
            background-color: rgb(0, 112, 224);
            padding: 15px;
            color: white;
            border-radius: 2px;
        }
        #page{
            border-radius: 5px;

            padding: 20px;
            background-color: white;
            width: 30%;
            height: 400px;
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);

            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);

        }
        #logo{
            height: 150px;
        }

        #txt{
            font-family: cursive
        }

        dd{
            width: 80%;
            height: 30px;
        }

        
    </style>

</head>

<body>
    <div id="page">
        <img id="logo" src="logo.webp">
        <p id="txt">OUTSIDER'S MESSENGER</p>
    <form action="" method=post>
  <dl>
      {{ form.csrf_token }}

    <dt>Username:
    <dd>{{ form.username }}
    <dt>Password:
    <dd>{{ form.password }}
  </dl>
  <p>
    <input id="login-btn" type=submit value=Login>
    <input type=hidden value="{{ next or '' }}" name=next>
</form>
    <a href=newUser>
    <button id="newUser-btn" >New User 
    </a>
    </div>
</body>